﻿
@media screen and (min-width: 320px) {
    #header {
        &_larger {
            height: auto;
            padding-top: 16px;
            padding-bottom: 16px;
            .left {
                padding-bottom: 15px;
            }
            .right {
                &_2 {
                    a.link-login-sm, a.link-sign-sm {
                        display: block;
                    }

                    a.link-login-lg, a.link-sign-lg {
                        display: none;
                    }
                }
            }
        }
    }
    .form {
        &-login {
            @include properties-css3(box-shadow, 0 30px 60px 0 rgba(0,0,0,0.3))
            padding: 35px 15px;
            border-radius: 10px;
            margin: 60px 0px;
            ul {
                padding: 0;

                li {
                    text-align: center;
                }
            }
            .form-control {
                padding: 10px 15px;
            }

            h3 {
                padding-bottom: 15px;
                border-bottom: 1px solid $templateColor;
            }
            &-field {
                padding-top: 30px;
            }

            &-submit {
                padding-top: 15px;
                border-top: 1px solid $templateColor;
            }
        }

        &-payin {
            @include properties-css3(box-shadow, 0 30px 60px 0 rgba(0,0,0,0.3));
            border-radius: 5px;
            h3 {
                border-bottom: 1px solid $templateColor;
            }
            .list-bank {
                .col-3 {
                    text-align: center;

                    .box {
                        border: 1px solid #ced4da;
                        border-radius: 5px;

                        img {
                            height: 35px;
                        }
                    }

                    label {
                        cursor: pointer;
                    }
                }
            }
        }
    }
    #search_box {
        form {
            .col-12.col-md-3 {
                margin-top: 10px;
                justify-content: center;
            }

            .col-12.col-md-5 {
                padding-right: 0px;
                padding-left: 0px;
            }
        }
    }
    .list-player {
        &-item {
            display: flex;

            &-avatar {
                overflow: unset;
                img {
                    height: 110px;
                    width: 110px;
                    border-radius: 3px;
                }
            }

            &-info {
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;

                &div:nth-child(2) {
                    display: block;
                }

                .name {
                    font-size: 15px;
                }

                .tag {
                    img {
                        width: 30px;
                        height: 30px;

                        &:hover {
                            width: 30px;
                            height: 30px;
                        }
                    }
                }
            }
        }
    }
    .modal {
        &-title {
            font-size: 18px; 
        }
    }
    #box-form-filter {
        tr td span {
            font-size: 14px;
        }
    }
    .ui {
        &-widget {
            font-size: 0.5em !important;
        }

        &-slider-handle {
            width: 0.8em !important;
            height: 0.8em !important;
        }
    }
    .player {
        &-detail {
            .col-lg-3.order-2.order-lg-3 {
                padding: 15px;
            }
        }

        &-profile {
            &-left {
                .img {
                    img {
                        height: 320px;
                    }
                }
                .tag {
                    border-top: 1px solid $templateColor;

                    p {
                        color: $textColorGray;
                    }

                    &-append {
                        p {
                            display: inline-block;
                            font-size: 13px;
                            color: #616770;
                            margin-right: 5px;
                            margin-bottom: 7px;
                            padding: 5px 7px;
                            border-radius: 3px;
                            background-color: #e2e6ea;
                        }
                    }
                }
            }

            &-mid {
                .name {
                    h3 {
                        border-bottom: 1px solid $templateColor;
                    }
                }

                .info {
                    &-detail {
                        h3 {
                            border-bottom: 1px solid $templateColor;
                        }

                        p:last-child {
                            color: $textColorGray;
                        }
                    }

                    &-comment {
                        h3 {
                            border-bottom: 1px solid $templateColor;
                        }

                        & > div {
                            border-bottom: 1px solid #d8d8d8;

                            &:last-child {
                                border-bottom: 0px;
                            }
                        }

                        &-box {
                            .img-small img {
                                width: 50px;
                                height: 50px;
                                border-radius: 50%;
                            }

                            .content {
                                flex-grow: 1;

                                .star {
                                    i.fa.fa-star {
                                        color: #ff9948;
                                    }
                                }

                                .time {
                                    p:first-child {
                                        font-size: 13px;
                                    }

                                    p:last-child {
                                        font-size: 10px;
                                    }
                                }
                            }
                        }

                        &-content {
                            p {
                                font-size: 14px;
                                color: $textColorGray;
                                letter-spacing: 0.7px;
                            }
                        }
                    }
                }
            }

            &-right {
                width: 100%;
                height: auto;
                border-radius: 5px;
                padding: 10px;
                border: 1px solid #e2e6ea;

                .price {
                    h3 {
                        color: $templateColor;
                    }
                }
            }
        }
    }
    .payin {
        &-success {
            margin: 15px 0px;
            .loader4 {
                width: 60px;
                height: 60px;
            }
        }
    }
    .box {
        &-histories-withdrawl {
            overflow: scroll;

            table tr td {
                font-size: 11px;
            }
        }

        &-404 {
            h1 {
                font-size: 2.5rem;
                color: #085f94
            }
        }

        &-gene-info {
            padding: 15px;

            .item {
                background-color: #f8f8f8;
                border: 1px solid #777;
                border-radius: 5px;
                line-height: 21px;
                padding: 5px 0;
                text-align: center;
                margin-bottom: 15px;

                &:last-child {
                    margin-bottom: 0px;
                }

                p {
                    margin-bottom: 0;
                }
            }
        }
    }
    .gene-info {
        &-header {
            ul li {
                a {
                }
            }
            .nav-tabs {
                padding: 15px 0px;
            }
        }
    }
    .chosen {
        &-container {
            width: 100% !important;
            display: block;
        }

        &-choices {
            padding: .375rem .75rem !important;
            font-size: 1rem;
            line-height: 1.5;
            color: #495057;
            background-color: #fff;
            background-clip: padding-box;
            border: 1px solid #ced4da !important;
            border-radius: .25rem;
            transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
            background-image: unset !important;
        }
    }
    .chosen-container-multi .chosen-choices li.search-field input[type=text] {
        margin: 0px;
    }
    .chosen-container-active .chosen-choices {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff !important;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);
    }
}

@media screen and (min-width: 768px) {
    #search_box {
        form {
            .col-12.col-md-3 {
                margin-top: 0px;
                justify-content: flex-start;
            }

            .col-12.col-md-5 {
                padding-right: 0px;
            }
        }
    }
    .user_header {
        .dropdown-menu.show {
        }
    }
    .list-player {
        &-item {
            display: block;

            &-avatar {
                overflow: hidden;

                img {
                    height: 285px;
                    width: 100%;
                }
            }

            &-info {
                & div:nth-child(2) {
                    display: flex;
                }

                .name {
                    font-size: 18px;
                }
            }
        }
    }
}
@media screen and (min-width: 992px) {
    #notification {
        .dropdown-menu {
            width: 25rem;
            @include properties-css3(transform, translate3d(-272px, 53px, 0px) !important)
        }
    }

    #header {
        &_larger {
            height: 70px;
            padding-top: 0px;
            padding-bottom: 0px;
            .left {
                padding-bottom: 0px;
            }
            .right {
                &_2 {
                    a.link-login-sm, a.link-sign-sm {
                        display: none;
                    }

                    a.link-login-lg, a.link-sign-lg {
                        display: block;
                    }
                }
            }
        }
    }

    .player {
        &-detail {
            .col-lg-3.order-2.order-lg-3 {
                padding-top: 0px;
                padding-bottom: 0px;
            }
        }

        &-profile {
            &-left {
                .icon-link {
                    svg {
                        width: 30px;
                        height: 30px;
                    }
                }

                .img {
                    img {
                        padding: 5px;
                        border: 1px solid #d6d6d6;
                        @include properties-css3(box-shadow, 6px 9px 5px -2px rgba(194,194,194,1));
                        border-radius: 3px;
                        width: 100%;
                        height: 250px;
                    }
                }

                .tag {
                    border-top: 1px solid $templateColor;

                    p {
                        color: $textColorGray;
                    }

                    &-append {
                        p {
                            display: inline-block;
                            font-size: 13px;
                            color: #616770;
                            margin-right: 5px;
                            margin-bottom: 7px;
                            padding: 5px 7px;
                            border-radius: 3px;
                            background-color: #e2e6ea;
                        }
                    }
                }
            }

            &-mid {
                .name {
                    h3 {
                        border-bottom: 1px solid $templateColor;
                    }
                }

                .info {
                    &-detail {
                        h3 {
                            border-bottom: 1px solid $templateColor;
                        }

                        p:last-child {
                            color: $textColorGray;
                        }
                    }

                    &-comment {
                        h3 {
                            border-bottom: 1px solid $templateColor;
                        }

                        & > div {
                            border-bottom: 1px solid #d8d8d8;

                            &:last-child {
                                border-bottom: 0px;
                            }
                        }

                        &-box {
                            .img-small img {
                                width: 50px;
                                height: 50px;
                                border-radius: 50%;
                            }

                            .content {
                                flex-grow: 1;

                                .star {
                                    i.fa.fa-star {
                                        color: #ff9948;
                                    }
                                }

                                .time {
                                    p:first-child {
                                        font-size: 13px;
                                    }

                                    p:last-child {
                                        font-size: 10px;
                                    }
                                }
                            }
                        }

                        &-content {
                            p {
                                font-size: 14px;
                                color: $textColorGray;
                                letter-spacing: 0.7px;
                            }
                        }
                    }
                }
            }

            &-right {
                width: 100%;
                height: auto;
                border-radius: 5px;
                padding: 10px;
                border: 1px solid #e2e6ea;

                .price {
                    h3 {
                        color: $templateColor;
                    }
                }
            }
        }
    }

    .form {
        &-payin {
            .list-bank {
                .col-3 {
                    text-align: center;

                    .box {
                        border: 1px solid #ced4da;
                        border-radius: 5px;

                        img {
                            height: 50px;
                        }
                    }
                }
            }
        }
    }

    .payin {
        &-success {
            margin: 150px 0px;
        }
    }

    .box {
        &-histories-withdrawl {
            overflow: unset;

            table tr td {
                font-size: 15px;
            }
        }

        &-404 {
            h1 {
                font-size: 4rem;
            }
        }
    }
}

@media screen and (min-width: 1200px) {
    //custome width container bootstrap
    .container {
        max-width: 1230px;
    }
}
@media screen and (min-width: 1366px) {
    .list-player {
        &-item {
            &-avatar {
                img {
                    height: 270px;
                }
            }
        }
    }
}
